%define name	vassal
%define version 3.1.14
%define release  %mkrel 1

Name:		%{name}
Summary:	A game engine for building and playing online adaptations of board games and card games. 
Version:	%{version}
Release:	%{release}
Source:		VASSAL-%{version}-linux.tar.xz
URL:		http://www.vassalengine.org/
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	java
License:	GPL

%description
Vassal is a game engine for building and playing online adaptations of board
games and card games. Play live on the Internet or by email. Vassal runs on
all platforms, and is free, open-source software.

%prep
%setup -q -n VASSAL-%{version}

%build
rm -rf %{buildroot}

#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}

#install package
cp -av * $RPM_BUILD_ROOT%{_libdir}/%{name}

#create our launch wrapper script
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
cd /usr/lib/vassal
./VASSAL.sh
cd ..
EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Vassal Game Engine
Comment=%summary
Exec=%{name}
Icon=boards_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%defattr(-,root,root,0755)
%{_bindir}/*
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Dec 05 2010 Texstar <texstar at gmail.com> 3.1.14-1pclos2010
- create package

